/******************************************************************/
/* ACM ICPC 2012-2013                                             */
/* Northeastern European Regional Contest                         */
/* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 */
/******************************************************************/
/* Problem A. Addictive Bubbles                                   */
/*                                                                */
/* Original idea         Georgiy Korneev                          */
/* Problem statement     Georgiy Korneev                          */
/* Test set              Georgiy Korneev                          */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Georgiy Korneev                          */
/******************************************************************/

import java.util.*;
import java.io.*;

public class addictive_gk_ok_spiral {
    static Scanner in;
    static PrintWriter out;

    void run() {
        int h = in.nextInt();
        int w = in.nextInt();
        int c = in.nextInt();
        char[][] board = new char[h][w];
        int y = 0, x = 0;
        int dy = 0, dx = 1;
        for (int i = 0; i < c; i++) {
            for (int a = in.nextInt(); a > 0; a--) {
                board[y][x] = (char) ('1' + i);
                if (y + dy < 0 || h <= y + dy || x + dx < 0 || w <= x + dx || board[y + dy][x + dx] != 0) {
                    int d = dx;
                    dx = -dy;
                    dy = d;
                    //System.out.println(dx + " " + dy);
                }
                System.out.println(x + " " + y);
                x += dx;
                y += dy;
            }
        }

        for (char[] row : board) {
            out.println(new String(row));
        }
    }


    public static void main(String[] args) throws Exception {
        in = new Scanner(new File("addictive.in"));
        out = new PrintWriter("addictive.out");

        new addictive_gk_ok_spiral().run();

        in.close();
        out.close();
    }
}

