/******************************************************************/
/* ACM ICPC 2012-2013                                             */
/* Northeastern European Regional Contest                         */
/* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 */
/******************************************************************/
/* Problem X. Xtrapolation                                        */
/*                                                                */
/* Original idea         Andrey Stankevich                        */
/* Problem statement     Andrey Stankevich                        */
/* Test set              Andrey Stankevich                        */
/******************************************************************/
/* Interactor                                                     */
/*                                                                */
/* Author                Andrey Stankevich                        */
/******************************************************************/

import java.io.*;

public class Interact {
    public static void main(String[] args) throws IOException {
        BufferedReader stdin = new BufferedReader(new InputStreamReader(System.in));
        BufferedReader fin = new BufferedReader(new FileReader("xtra.in"));
        PrintWriter fout = new PrintWriter(new FileWriter("xtra.out"), true);
        for (;;) {
            String x = fin.readLine();
            System.out.println(x); // will autoflush
            if (x.equals("0"))
                break;
            String s = stdin.readLine();
            fout.println(s); // will autoflush
        }
        fin.close();
        fout.close();
        System.exit(0); // must terminate with zero exit code
    }
}

