(******************************************************************)
(* ACM ICPC 2012-2013                                             *)
(* Northeastern European Regional Contest                         *)
(* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 *)
(******************************************************************)
(* Problem Y. Yield                                               *)
(*                                                                *)
(* Original idea         Standard                                 *)
(* Problem statement     Standard                                 *)
(* Test set              Standard                                 *)
(******************************************************************)
(* Solution                                                       *)
(*                                                                *)
(* Author                Roman Elizarov                           *)
(******************************************************************)

{$apptype console}
{$r+,o+}

uses
  SysUtils;

var
  a, b, s: integer;

begin
  AssignFile(input, 'yield.in');
  Reset(input);
  AssignFile(output, 'yield.out');
  Rewrite(output);

  ReadLn(a, b);
  s := 0;
  try 
    s := a div s;
  except
    on EDivByZero do s := a + b;
  end;

  WriteLn(s);

  Close(input);
  Close(output);
end.
